Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884853 - dfu-util fails to download firmware to some STM32L4 MCUs
Summary: dfu-util fails to download firmware to some STM32L4 MCUs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dfu-util
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juha Tuomala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-03 00:28 UTC by Rob Riggs
Modified: 2020-11-24 18:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:54:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Rob Riggs 2020-10-03 00:28:28 UTC
Description of problem:
Bug description here: https://sourceforge.net/p/dfu-util/tickets/40/

This has been going on for 3+ years and none of the proposed fixes have yet to be merged.  This defect affects a large number of STM32 microcontrollers.

Version-Release number of selected component (if applicable):
dfu-util-0.9-8.fc31.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to download firmware to an STM32L433 (and many others) via USB DFU.

Actual results:
dfu-util: Error during special command "ERASE_PAGE" get_status

Expected results:
Firmware downloaded successfully.

Additional info:
The defect is that dfu-util does not properly retry the operation during a USB stall, treating it as a hard failure.

Numerous patches have been submitted to fix this upstream, but there has been no activity by the maintainer.

Latest fix (by me) posted here.
https://sourceforge.net/p/dfu-util/tickets/40/?page=1&limit=25#933d

Comment 1 Ben Cotton 2020-11-03 16:45:30 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-11-24 18:54:08 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.